# PODNAME: Config::Model::models::Dpkg::Upstream::Metadata::Registry
# ABSTRACT:  Configuration class Dpkg::Upstream::Metadata::Registry

=encoding utf8

=head1 NAME

Config::Model::models::Dpkg::Upstream::Metadata::Registry - Configuration class Dpkg::Upstream::Metadata::Registry

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

This field shall point to external catalogs/registries of software. The field features an array of "Name (of registry) - Entry (ID of software in that catalog)" pairs. The names and entries shall only be names, not complete URIs, to avoid any bias on mirrors etc.

=head1 Elements

=head2 Name - Name (of registry)

Valid Name entries for Registry are: bio.tools, biii, OMICtools, SciCrunch, conda:bioconda, opam and PyPI. Other channels of conda can be referenced analogously by their name, for instance conda:conda-forge or conda:r, but may not yet be prepared to be interpreted. Special value of Entry NA means that a catalog/registry is confirmed to not have an entry for this software. I< Optional. Type uniline.  > 

=head2 Entry - ID of software in that catalog

I< Optional. Type uniline.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=back

=head1 AUTHOR

=over

=item Dominique Dumont


=back

=head1 COPYRIGHT

=over

=item 2026, Dominique Dumont


=back

=cut

